# draugr.drawers.mpl_drawers.image_stream_plot.ImageStreamPlot

class draugr.drawers.mpl_drawers.image_stream_plot.ImageStreamPlot(image, title: str = '', render: bool = True, *, cmap=None, norm=None, aspect=None, interpolation=None, alpha=None, vmin=None, vmax=None, origin=None, extent=None, interpolation_stage=None, filternorm=True, filterrad=4.0, resample=None, url=None, data=None, default_delta: float = 0.008333333333333333, placement: Tuple [ int , int ] = None)

  Bases: `MplDrawer`

  description

  __init__(image, title: str = '', render: bool = True, *, cmap=None, norm=None, aspect=None, interpolation=None, alpha=None, vmin=None, vmax=None, origin=None, extent=None, interpolation_stage=None, filternorm=True, filterrad=4.0, resample=None, url=None, data=None, default_delta: float = 0.008333333333333333, placement: Tuple [ int , int ] = None)
    Parameters

      - default_delta –

      - render –

      - placement –

      - kwargs –

  Methods

  `__init__`(image[, title, render, cmap, norm, ...])

  param default_delta

  `close`(event) | description
  `draw`(data[, delta]) | description
  `move_figure`(figure[, x, y]) | Move figure's upper left corner to pixel (x, y)

  Attributes

  static close(event)

    description

  draw(data: Any, delta: Optional [ float ] = None)

    description

  static move_figure(figure: Figure, x: int = 0, y: int = 0)

    Move figure’s upper left corner to pixel (x, y)

  n

    fig_manager = pyplot.get_current_fig_manager() geom = fig_manager.window.geometry() x, y, dx, dy = geom.getRect() fig_manager.window.setGeometry(*placement, dx, dy) fig_manager.window.SetPosition((500, 0))